Package org.codehaus.groovy.ast.stmt

# Class Statement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement

All Implemented Interfaces:
  `NodeMetaDataHandler`

Direct Known Subclasses:
  `AssertStatement`, `BlockStatement`, `BreakStatement`, `BytecodeSequence`, `CaseStatement`, `CatchStatement`, `ContinueStatement`, `DoWhileStatement`, `EmptyStatement`, `ExpressionStatement`, `ForStatement`, `IfStatement`, `ReturnStatement`, `SwitchStatement`, `SynchronizedStatement`, `ThrowStatement`, `TryCatchStatement`, `WhileStatement`

    public class Statement
    extends ASTNode

Base class for any statement.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Statement()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addStatementLabel​(java.lang.String label)` |
  `void` | `copyStatementLabels​(Statement that)` |
  `java.lang.String` | `getStatementLabel()` | Deprecated.
  `java.util.List<java.lang.String>` | `getStatementLabels()` |
  `boolean` | `isEmpty()` |
  `void` | `setStatementLabel​(java.lang.String label)` |

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### Statement

    public Statement()

- ## Method Details

  - ### getStatementLabels

    public java.util.List<java.lang.String> getStatementLabels()

  - ### getStatementLabel

    @Deprecated public java.lang.String getStatementLabel()
    Deprecated.

  - ### setStatementLabel

    public void setStatementLabel​(java.lang.String label)

  - ### addStatementLabel

    public void addStatementLabel​(java.lang.String label)

  - ### copyStatementLabels

    public void copyStatementLabels​(Statement that)

  - ### isEmpty

    public boolean isEmpty()